Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.spring
Class DwrSpringServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.directwebremoting.spring.DwrSpringServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class DwrSpringServlet

extends javax.servlet.http.HttpServlet

The servlet that handles all calls to DWR.
It retrieves its configuration from the Spring IoC container. This is done in two ways:

1. Use the Spring namespace. When using the Spring namespace for DWR, the confgiuration for DWR is automatically picked up by this servlet.
2. Explicitly specify which configurations to pick up. When explicitly defining the DWR configuration in Spring yourself, you can explicitely specify them in the init parameters.

Same as with the `DwrServlet`, you can specify a `debug` init parameter on this servlet to put DWR in debug mode (allowing access to the very handy debug pages).

Author:
  Bram Smeets, Joe Walker [joe at getahead dot ltd dot uk]
See Also:
  `DwrServlet`, Serialized Form

Constructor Summary
`DwrSpringServlet()`

Method Summary
`void` | `init(javax.servlet.ServletConfig servletConfig)`
`void` | `setConfigurators(java.util.List configurators)` Setter for use by the Spring IoC container to tell us what Configurators exist for us to configure ourselves.
`void` | `setIncludeDefaultConfig(boolean includeDefaultConfig)` Do we prefix the list of Configurators with a default to read the system dwr.xml file?

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DwrSpringServlet

    public DwrSpringServlet()

Method Detail

### setConfigurators

    public void setConfigurators(java.util.List configurators)

  Setter for use by the Spring IoC container to tell us what Configurators exist for us to configure ourselves.

  Parameters:
    `configurators` -

### setIncludeDefaultConfig

    public void setIncludeDefaultConfig(boolean includeDefaultConfig)

  Do we prefix the list of Configurators with a default to read the system dwr.xml file?

  Parameters:
    `includeDefaultConfig` - the includeDefaultConfig to set

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD